{% extends "base.html" %}
{% load i18n %}

{% block title %}{% trans "Files" %}{% endblock %}

{% block content %}
<div class="container">
    <div class="row card-row">
        <div class="col-12 mx-auto my-auto">
            <div class="card">
                <div class="card-header text-center">
                    <h1>{% trans "Files" %}</h1>
                </div>
                <div class="card-body">
                    <table id="jsTable" class="table table-striped nowrap" style="width: 100%;">
                        <thead>
                            <tr>
                                <th scope="col">{% trans "File ID" %}</th>
                                <th scope="col">{% trans "Path" %}</th>
                                <th scope="col">{% trans "Uploaded on" %}</th>
                                <th scope="col">
                                    {% if perms.boxes.manage_files %}
                                    <a class="btn btn-sm btn-success" href="{% url 'boxes:files_upload' %}?next={{ request.get_full_path }}"
                                        data-toggle="tooltip" title="{% trans 'Upload File' %}">
                                        <i class="fas fa-upload fa-fw"></i>
                                    </a>
                                    {% endif %}
                                </th>
                            </tr>
                        </thead>
                        <tbody>
                            {% for file in file_list %}
                            <tr>
                                <td>{{ file.pk }}</td>
                                <td class="fileURL">{{ file.path.url }}</td>
                                <td>{{ file.uploaded_on }}</td>
                                <td>
                                    <a class="btn btn-sm btn-info" href="{{ file.path.url }}" target="_blank" data-toggle="tooltip"
                                        title="{% trans 'View File' %}">
                                        <i class="fas fa-eye fa-fw"></i>
                                    </a>
                                    <a class="btn btn-sm btn-secondary" onclick="copyFileURL(this)" data-toggle="tooltip"
                                        title="{% trans 'Copy File URL' %}">
                                        <i class="fas fa-copy fa-fw"></i>
                                    </a>
                                    {% if perms.boxes.manage_files %}
                                    <a class="btn btn-sm btn-danger"
                                        href="{% url 'boxes:files_delete' pk=file.pk %}?next={{ request.get_full_path }}"
                                        data-toggle="tooltip" title="{% trans 'Delete File' %}">
                                        <i class="fas fa-trash fa-fw"></i>
                                    </a>
                                    {% endif %}
                                </td>
                            </tr>
                            {% endfor %}
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>
<script>
    function copyFileURL(e) {
        let path = e.parentNode.parentNode.getElementsByClassName('fileURL')[0].innerHTML;
        let text = document.createElement('input');
        text.setAttribute('type', 'text');
        text.value = path;
        document.body.appendChild(text);
        text.select();
        document.execCommand('copy');
        document.body.removeChild(text);
    }
</script>
{% endblock %}